/*
	TuxPuck - menu.h
	Copyright (C) 2001 Jacob Kroon

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	Jacob Kroon - d00jkr@efd.lth.se
*/

#ifndef _MENU_H
#define _MENU_H

class Menu;
class GameMenu;

/* defines */
#define GAMEMENU_START_GAME	0
#define GAMEMENU_QUIT		1
#define INGAMEMENU_EXIT_GAME	0
#define INGAMEMENU_CONTINUE	1
#define OPPONENTMENU_TUX	0
#define OPPONENTMENU_CARTMAN	1

/* includes */
#ifndef _FONT_H
#include "font.h"
#endif

/* class */
class Menu
{
private:
  Uint32 _w, _h;
  Uint8 _nbrOfLabels;
  char **_label;
  Font *_font;
  void _drawLabel(Uint8, SDL_Rect *);
public:
    Menu(Font *, Uint8);
   ~Menu();
  Uint8 getCommand(void);
  void addLabel(Uint8, char *);
};

class GameMenu:public Menu
{
private:
public:
  GameMenu(Font *);
  ~GameMenu();
};

class IngameMenu:public Menu
{
private:
public:
  IngameMenu(Font *);
  ~IngameMenu();
};

class SettingsMenu:public Menu
{
private:
public:
  SettingsMenu(Font *);
  ~SettingsMenu();
};

class OpponentMenu:public Menu
{
private:
public:
  OpponentMenu(Font *);
  ~OpponentMenu();
};

#endif /* _MENU_H */
