/*
	TuxPuck - tuxpuck.h
	Copyright (C) 2001 Jacob Kroon

	This program is free software; you can redistribute it and/or
	modify it under the terms of the GNU General Public License
	as published by the Free Software Foundation; either version 2
	of the License, or (at your option) any later version.

	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
	GNU General Public License for more details.

	You should have received a copy of the GNU General Public License
	along with this program; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

	Jacob Kroon - d00jkr@efd.lth.se
*/

#ifndef _TUXPUCK_H
#define _TUXPUCK_H

class TuxPuck;

/* includes */
#ifndef _VIDEO_H
#include "video.h"
#endif
#ifndef _AUDIO_H
#include "audio.h"
#endif
#ifndef _MENU_H
#include "menu.h"
#endif

/* class */
class TuxPuck
{
private:
  Video * _video;
  Audio *_audio;
  Font *_menuFont;
  GameMenu *_gameMenu;
  OpponentMenu *_opponentMenu;
  void _playMatch(Uint8);
public:
    TuxPuck();
   ~TuxPuck();
  void start(void);
};

#endif /* _TUXPUCK_H */
